%define name 915resolution
%define version 0.5.2
%define release %mkrel 5

Summary: A tool to force resolution of Intel 9xx video Card
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.geocities.com/stomljen/%{name}-%{version}.tar.gz
Source1: 915resolution.init
Source2: 915resolution.default-sysconfig
Patch: 915resolution-0.5.2-automatically-choose-best-mode.patch.bz2
License: Public Domain
Group: System/Kernel and hardware
Url: http://www.geocities.com/stomljen/
BuildRoot: %{_tmppath}/%{name}-buildroot
Exclusivearch: %{ix86} x86_64 amd64
Requires(post):	rpm-helper
Requires(preun):  rpm-helper

%description
915resolution is a tool to modify the video BIOS of the 800 and 900 series
Intel graphics chipsets. This includes the 845G, 855G, and 865G chipsets, as
well as 915G, 915GM, and 945G chipsets. This modification is necessary to
allow the display of certain graphics resolutions for an Xorg or XFree86
graphics server.

915resolution's modifications of the BIOS are transient. There is no risk of
permanent modification of the BIOS. This also means that 915resolution must be
run every time the computer boots inorder for it's changes to take effect.

915resolution is derived from the tool 855resolution. However, the code differs
substantially. 915resolution's code base is much simpler. 915resolution also 
allows the modification of bits per pixel.

%prep
%setup -q
%patch0 -p1

%build

rm -f *.o
%make CFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_sbindir
install -m 755 %{name} %buildroot%_sbindir/%name

install -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%name
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%name


%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %name

%preun
%_preun_service %name


%files
%defattr(-,root,root)
%doc chipset_info.txt README.txt
%_sbindir/%name
/etc/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*

%changelog
* Fri Jun 16 2006 Pixel <pixel@mandriva.com> 0.5.2-5mdv2007.0
- fix patch automatically-choose-best-mode
  (if no matching X resolution, it was chosing the last entry, even if unreachable)

* Tue May 02 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.2-4mdk
- Exclusivearch should be x86_64, not only amd64

* Tue May  2 2006 Pixel <pixel@mandriva.com> 0.5.2-3mdk
- Exclusivearch x86 and am64 (bugzilla #22203)

* Fri Apr 28 2006 Pixel <pixel@mandriva.com> 0.5.2-2mdk
- add patch automatically-choose-best-mode allowing "915resolution best <X> <Y>"
  which chooses the first bios mode with xres == <X>
  (or defaults to the last available mode)
- add a service calling 915resolution before dm is launched

* Thu Apr 27 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.2-1mdk
- initial mandriva rpm

